import type { Attestation, Identity } from "./interface";
export interface APIResponse<T = Attestation | Identity> {
    status: string;
    result?: T;
    message?: string;
}
export type GetAttestationResponse = APIResponse<Attestation>;
export type GetIdentityResponse = APIResponse<Identity>;
export type GetIdentityByAddressResponse = APIResponse<Identity>;
export type GetIdentityDIDResponse = string;
export type GetIdentityDIDByAddressResponse = string;
export interface AttestationValidParams {
    address: string;
    idKey: string;
    attribute: string;
    value: string;
    nonce: string;
    urn: string;
    hash: string;
    block: number;
    timestamp: number;
}
export interface IdentityValidByAddressParams {
    address: string;
    block: number;
    timestamp: number;
}
export interface ValidityRecord {
    valid: boolean;
    block: number;
    timestamp: number;
}
export interface AttestationValidResponse extends ValidityRecord {
}
export interface IdentityValidResponse extends Identity, ValidityRecord {
}
